
From: Olaf Hering <olh@suse.de>

Quiet an incorrect warning in aty128fb and radeonfb about the PCI ROM
content.  Macs work just find without that signature.

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/aty/aty128fb.c    |    4 ++--
 drivers/video/aty/radeon_base.c |    5 +++--
 2 files changed, 5 insertions(+), 4 deletions(-)

diff -puN drivers/video/aty/aty128fb.c~quiet-non-x86-option-rom-warnings drivers/video/aty/aty128fb.c
--- devel/drivers/video/aty/aty128fb.c~quiet-non-x86-option-rom-warnings	2005-09-04 13:31:13.000000000 -0700
+++ devel-akpm/drivers/video/aty/aty128fb.c	2005-09-04 13:32:07.000000000 -0700
@@ -806,8 +806,8 @@ static void __iomem * __init aty128_map_
 
 	/* Very simple test to make sure it appeared */
 	if (BIOS_IN16(0) != 0xaa55) {
-		printk(KERN_ERR "aty128fb: Invalid ROM signature %x should be 0xaa55\n",
-		       BIOS_IN16(0));
+		printk(KERN_DEBUG "aty128fb: Invalid ROM signature %x should "
+			" be 0xaa55\n", BIOS_IN16(0));
 		goto failed;
 	}
 
diff -puN drivers/video/aty/radeon_base.c~quiet-non-x86-option-rom-warnings drivers/video/aty/radeon_base.c
--- devel/drivers/video/aty/radeon_base.c~quiet-non-x86-option-rom-warnings	2005-09-04 13:31:13.000000000 -0700
+++ devel-akpm/drivers/video/aty/radeon_base.c	2005-09-04 13:31:53.000000000 -0700
@@ -329,8 +329,9 @@ static int __devinit radeon_map_ROM(stru
 
 	/* Very simple test to make sure it appeared */
 	if (BIOS_IN16(0) != 0xaa55) {
-		printk(KERN_ERR "radeonfb (%s): Invalid ROM signature %x should be"
-		       "0xaa55\n", pci_name(rinfo->pdev), BIOS_IN16(0));
+		printk(KERN_DEBUG "radeonfb (%s): Invalid ROM signature %x "
+			"should be 0xaa55\n",
+			pci_name(rinfo->pdev), BIOS_IN16(0));
 		goto failed;
 	}
 	/* Look for the PCI data to check the ROM type */
_
